Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIReaderFactory

    java.lang.Object
      org.netbeans.api.xmi.XMIReaderFactory

    public abstract class XMIReaderFactory

extends Object

Factory class for creating instances of XMI reader objects.

Constructor Summary
`XMIReaderFactory()`

Method Summary
`abstract XMIReader` | `createXMIReader()` Creates new instance of XMIReader.
`abstract XMIReader` | `createXMIReader(XMIInputConfig configuration)` Creates new instance of XMIReader configured using the passed configuration object.
`static XMIReaderFactory` | `getDefault()` Returns the default instance of XMIReaderFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIReaderFactory

    public XMIReaderFactory()

Method Detail

### getDefault

    public static XMIReaderFactory getDefault()

  Returns the default instance of XMIReaderFactory.

  Returns:
    Default XMI reader factory.

### createXMIReader

    public abstract XMIReader createXMIReader()

  Creates new instance of XMIReader.

  Returns:
    New instance of XMIReader.

### createXMIReader

    public abstract XMIReader createXMIReader(XMIInputConfig configuration)

  Creates new instance of XMIReader configured using the passed configuration object. The configuration object should not be used by XMIReader directly (i.e. the real configuration of the returned XMIReader should be a copy of the passed configuraion object).

  Parameters:
    `configuration` - Configuration of the XMIReader instance to be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.